PeopleForce
Perform

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Get an objective

Returns a single objective

GET
/api/v4/perform/objectives/{id}

Returns a single objective

Path Parameters

id*integer
Formatint32

Response Body

application/json

curl -X GET "https://example.com/api/v4/perform/objectives/0"
{  "id": 0,  "title": "string",  "type": "string",  "state": "string",  "progress_percentage": 0,  "status": "string",  "starts_on": "2019-08-24",  "ends_on": "2019-08-24",  "parent_id": 0,  "key_results": [    {      "id": 0,      "name": "string",      "progress_percentage": 0,      "value": 0.1,      "start": 0.1,      "target": 0.1,      "metric": "string",      "weight": 0,      "status": "string",      "currency_code": "string",      "owner": {        "id": 0,        "name": "string"      },      "starts_on": "2019-08-24",      "ends_on": "2019-08-24"    }  ],  "owner": {    "id": 0,    "name": "string"  },  "team": {    "id": 0,    "name": "string"  },  "department": {    "id": 0,    "name": "string"  },  "division": {    "id": 0,    "name": "string"  },  "location": {    "id": 0,    "name": "string"  },  "tags": [    []  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}